Bug 533141 - Review Request: perl-CGI-Application-Plugin-DBIx-Class - Access a DBIx::Class Schema from a CGI::Application
Summary: Review Request: perl-CGI-Application-Plugin-DBIx-Class - Access a DBIx::Class...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-05 10:44 UTC by Emmanuel Seyman
Modified: 2009-11-20 05:30 UTC (History)
3 users (show)

Fixed In Version: 0.093011-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:14:40 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-11-05 10:44:05 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIx-Class/perl-CGI-Application-Plugin-DBIx-Class.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIx-Class/perl-CGI-Application-Plugin-DBIx-Class-0.093011-1.fc11.src.rpm
Description:
This module helps you to map various DBIx::Class features to CGI
parameters. For the most part that means it will help you search, sort, and
paginate with a minimum of effort and thought. Currently it uses the
connection from CGI::Application::Plugin::DBH.

Comment 1 Parag AN(पराग) 2009-11-05 11:24:55 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1789541
- rpmlint is NOT silent for SRPM and for RPM.
perl-CGI-Application-Plugin-DBIx-Class.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-CGI-Application-Plugin-DBIx-Class-0.093011/README
perl-CGI-Application-Plugin-DBIx-Class.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-CGI-Application-Plugin-DBIx-Class-0.093011/META.json
perl-CGI-Application-Plugin-DBIx-Class.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-CGI-Application-Plugin-DBIx-Class-0.093011/dist.ini
perl-CGI-Application-Plugin-DBIx-Class.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-CGI-Application-Plugin-DBIx-Class-0.093011/LICENSE
perl-CGI-Application-Plugin-DBIx-Class.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-CGI-Application-Plugin-DBIx-Class-0.093011/Changes

+ source files match upstream url
fc3499c707002c21d1cc9008fcb49e9fe3140b2a  CGI-Application-Plugin-DBIx-Class-0.093011.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=21,  2 wallclock secs ( 0.05 usr  0.01 sys +  0.79 cusr  0.04 csys =  0.89 CPU)
+ Package perl-CGI-Application-Plugin-DBIx-Class-0.093011-1.fc12.noarch  =>
Provides: perl(CGI::Application::Plugin::DBIx::Class) = 0.093011
Requires: perl(Carp) perl(Exporter) perl(parent) perl(strict) perl(warnings)
+ Not a GUI application

Suggestion:
1) Just add following line to %prep section
sed -i 's/\r//' Changes  LICENSE  dist.ini  META.json  README                                        

This will fix rpmlint messages.

Comment 2 Emmanuel Seyman 2009-11-05 13:14:49 UTC
(In reply to comment #1)
>
> Suggestion:
> 1) Just add following line to %prep section
> sed -i 's/\r//' Changes  LICENSE  dist.ini  META.json  README                   

D'oh! Done.

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIx-Class/perl-CGI-Application-Plugin-DBIx-Class.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DBIx-Class/perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc11.src.rpm

Comment 3 Parag AN(पराग) 2009-11-05 14:08:56 UTC
APPROVED

Comment 4 Emmanuel Seyman 2009-11-05 14:15:11 UTC
Thank you, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-DBIx-Class
Short Description: Access a DBIx::Class Schema from a CGI::Application
Owners: eseyman
Branches: F-10 F-11 F-12
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2009-11-06 20:31:19 UTC
cvs done.

Comment 6 Fedora Update System 2009-11-07 11:05:02 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc11

Comment 7 Fedora Update System 2009-11-07 11:05:06 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc12

Comment 8 Fedora Update System 2009-11-10 17:44:25 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBIx-Class'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11175

Comment 9 Fedora Update System 2009-11-10 17:46:24 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DBIx-Class'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11199

Comment 10 Fedora Update System 2009-11-20 05:14:34 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-20 05:30:28 UTC
perl-CGI-Application-Plugin-DBIx-Class-0.093011-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.